/**
 * @file
 * Javascript functionality for component service block.
 */

(function ($, Drupal) {

  'use strict';

  Drupal.componentServiceBlock = Drupal.componentServiceBlock || {};
  Drupal.behaviors.serviceblock = {
    attach: function (context) {
      Drupal.componentServiceBlock.serviceBlock(context);
    }
  }
  Drupal.componentServiceBlock.serviceBlock = function (context) {
    $.addMatchHeight('.component-builder.component-wrapper.component-wrapper--type-service_block', '.component-builder.component-item.component-item--type-service-block');
    $.addMatchHeight('.component-builder.component-wrapper.component-wrapper--type-service_block', '.component-item--content');
    $.addMatchHeight('.component-builder.component-wrapper.component-wrapper--type-service_block', '.field--name-title');
    $.addMatchHeight('.component-builder.component-wrapper.component-wrapper--type-service_block', '.group-content');
    $.addMatchHeight('.component-builder.component-wrapper.component-wrapper--type-service_block', '.field--name-field-service-block-description');
  }

})(jQuery, Drupal);
